## START: Set by rpmautospec
## (rpmautospec version 0.6.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate adblock

Name:           rust-adblock
Version:        0.8.8
Release:        %autorelease
Summary:        Native Rust module for Adblock Plus syntax

License:        MPL-2.0
URL:            https://crates.io/crates/adblock
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump rmp-serde dependency from 0.15 to 1
# * bump mock_instant dev-dependency from 0.2 to 0.3
# * drop unused, benchmark-only criterion dev-dependency
# * drop unused css-validation feature with outdated dependencies
Patch:          adblock-fix-metadata.diff
# * drop tests that require unshipped support code
Patch:          0001-drop-tests-that-require-unshipped-support-code.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Native Rust module for Adblock Plus syntax (e.g. EasyList, EasyPrivacy)
filter parsing and matching.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+addr-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+addr-devel %{_description}

This package contains library source intended for building other packages which
use the "addr" feature of the "%{crate}" crate.

%files       -n %{name}+addr-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+content-blocking-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+content-blocking-devel %{_description}

This package contains library source intended for building other packages which
use the "content-blocking" feature of the "%{crate}" crate.

%files       -n %{name}+content-blocking-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+embedded-domain-resolver-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+embedded-domain-resolver-devel %{_description}

This package contains library source intended for building other packages which
use the "embedded-domain-resolver" feature of the "%{crate}" crate.

%files       -n %{name}+embedded-domain-resolver-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+full-regex-handling-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+full-regex-handling-devel %{_description}

This package contains library source intended for building other packages which
use the "full-regex-handling" feature of the "%{crate}" crate.

%files       -n %{name}+full-regex-handling-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+lifeguard-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lifeguard-devel %{_description}

This package contains library source intended for building other packages which
use the "lifeguard" feature of the "%{crate}" crate.

%files       -n %{name}+lifeguard-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+object-pooling-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+object-pooling-devel %{_description}

This package contains library source intended for building other packages which
use the "object-pooling" feature of the "%{crate}" crate.

%files       -n %{name}+object-pooling-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+regex-debug-info-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regex-debug-info-devel %{_description}

This package contains library source intended for building other packages which
use the "regex-debug-info" feature of the "%{crate}" crate.

%files       -n %{name}+regex-debug-info-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+resource-assembler-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+resource-assembler-devel %{_description}

This package contains library source intended for building other packages which
use the "resource-assembler" feature of the "%{crate}" crate.

%files       -n %{name}+resource-assembler-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde_json-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde_json-devel %{_description}

This package contains library source intended for building other packages which
use the "serde_json" feature of the "%{crate}" crate.

%files       -n %{name}+serde_json-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unsync-regex-caching-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unsync-regex-caching-devel %{_description}

This package contains library source intended for building other packages which
use the "unsync-regex-caching" feature of the "%{crate}" crate.

%files       -n %{name}+unsync-regex-caching-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue Mar 26 2024 Fabio Valentini <decathorpe@gmail.com> - 0.8.8-1
- Initial import (#2266634)
## END: Generated by rpmautospec
